de.dhbwstuttgart.logger

## Class SectionLogger

- java.lang.Object
- - de.dhbwstuttgart.logger.SectionLogger

-     public class SectionLogger
      extends java.lang.Object

  SÃ¤mtliche Logging Ausgaben werden in die bei der Erstellung des Loggers Ã¼bergebene Section eingeteilt
  Author:
    janulrich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Logger` | `log`
    `private Section` | `section`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SectionLogger(Logger logger, Section s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message)`
    `void` | `error(java.lang.String string)`
    `void` | `info(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          private Logger log

    - #### section

          private Section section

  - ### Constructor Detail

    - #### SectionLogger

          protected SectionLogger(Logger logger,
                                  Section s)

  - ### Method Detail

    - #### debug

          public void debug(java.lang.String message)

    - #### info

          public void info(java.lang.String string)

    - #### error

          public void error(java.lang.String string)